#ifndef NOISE1_H
#define NOISE1_H

extern double catmull_rom(double x0, double x1, double x2, double x3, double t);

class Noise1 {
  double *p;
  int n;
  void copy(const Noise1 &noise);
public:
  Noise1();
  Noise1(int n);
  Noise1(const Noise1 &noise);
  virtual ~Noise1();
  Noise1 &operator=(const Noise1 &noise);
  double point(int i);
  double noise(double p);
  double perlin(double p, int o, double a);
  double turbulence(double p, int o, double a);
};

#endif
