#ifndef NOISE3_H
#define NOISE3_H

#include "Noise2.h"

class Noise3 {
  Noise2 **p;
  int l;
  void copy(const Noise3 &noise);
public:
  Noise3();
  Noise3(int n, int m, int l);
  Noise3(const Noise3 &noise);
  virtual ~Noise3();
  Noise3 &operator=(const Noise3 &noise);
  double point(int n, int m, int l);
  double noise(double p, double q, double r);
  double perlin(double p, double q, double r, int o, double a);
  double turbulence(double p, double q, double r, int o, double a);
};

#endif
